Foreman - Bug #14131

Libvirt image provision fails on FreeBSD without bash
03/10/2016 01:23 AM - Karli Sjsberg

Status:
Priority:
Assignee:
Category:

Target version:

Closed

Normal

Karli Sjoberg
Compute resources
1.11.1

Difficulty: Fixed in Releases:
Triaged: Found in Releases:
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p

ull/3304
Description

bash: no such file or directory

Thankfully there’s an easy fix, just changing 'bash'’ to 'sh' in the SSH provision script. In Linux, '/bin/sh' is symlinked to '/bin/bash’, so

works all around.

TIA
Karli

Related issues:

Related to Foreman - Bug #14957: Image-based provisioning failing due to swit...

Closed 05/08/2016

Associated revisions

Revision 7e46a7bc - 03/10/2016 08:36 AM - Karli Sjoberg
fixes #14131 Changed bash to sh

Revision 123a5383 - 04/18/2016 01:45 PM - Karli Sjoberg
fixes #14131 Changed bash to sh

(cherry picked from commit 7e46a7bc7233ed53d16306ae42f3245b07eab26f)

History

#1 - 03/10/2016 03:02 AM - Dominic Cleal

- Subject changed from Libvirt image provision fails on FreeBSD to Libvirt image provision fails on FreeBSD without bash

- Category set to Compute resources

Thanks for the report and patch. Could you please submit the patch on GitHub so we can merge it? There are instructions over at
http://theforeman.org/contribute.html, and you can use this ticket number.

#2 - 03/10/2016 05:23 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/3304 added

#3 - 03/10/2016 05:33 AM - Karli Sjoberg

Done! That was my first git commit so | hope it was correctly done. Clear and easy to follow contributing instructions!

#4 - 03/10/2016 05:35 AM - Dominic Cleal

- Assignee set to Karli Sjéberg

Thanks very much! We'll review it shortly.
http://theforeman.org/contribute.html

#5 - 03/10/2016 09:01 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 7e46a7bc7233ed53d16306ae42{3245b07eab26f.

#6 - 03/15/2016 04:39 AM - Dominic Cleal

- translation missing: en.field_release set to 141

#7 - 05/08/2016 04:11 PM - Greg Sutcliffe
- Related to Bug #14957: Image-based provisioning failing due to switching to 'sh'in 14131 added
